Subject: Re: updating Tao of IETF

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Fri, 30 Jun 2000 16:38:21 -0400

Hi,

From:  "Susan R. Harris" <[email-masked]>
Date:  Thu, 29 Jun 2000 10:21:11 -0400 (EDT)
To:  "Donald E. Eastlake 3rd" <[email-masked]>
Cc:  Paul Hoffman / IMC <[email-masked]>,
            April Marine <[email-masked]>,
            Gary Malkin <[email-masked]>,
            Amy Tracy Wells <[email-masked]>,
            "'Steve Coya'" <[email-masked]>, [email-masked]
In-Reply-To:  <[email-masked]>
Message-ID:  <[email-masked]>

>Hi Donald - very glad you're interested in working on the Tao!  As April
>mentioned, we had a lengthy discussion in Adelaide about the update, and
>the group (plus Steve, who met with us) recommended combining the Tao with
>Paul Hoffman's excellent "Novice's Guide to the IETF:"
> 
>	http://www.imc.org/novice-ietf.html

The novice-ietf document is good. Another thing which is avilable,
although it's pretty short and a bit legalistic, is
draft-hoffman-what-is-ietf-01.txt.  However, I would point out that
both of the above are not very "IETF Meeting" oriented.  The size and
amount of information in the novice-ietf document directly related to
meetings is small compared with the Tao RFC.

>Paul and I have come up with an outline for the combined doc, which I'll
>append to my message. I've just gotten started cutting-and-pasting the
>combined doc so we can figure out what's missing, and who can fill in
>the gaps.
>
>I like many of your edits to the Tao, and would be very happy to include
>them in the combined doc.

Thanks, I assume Paul got a copy.  It combines the old RFC, the
material on the IETF web site, a lot of updates, plus some new
material.

>Gary, we'd also be very happy to have you help out.  Another person who's
>been interested in contributing is Amy Wells, who last spring sent me some
>edits, many of which I'd suggest we'd also incorporate.
>
>How about if Donald, Paul, possibly Gary and Amy, and I plan a conference
>call soon? I'd be glad to set it up - how about tomorrow afternoon? (I'm
>on vacation next week).

(Sorry, in email sent just previously I'd forgotten you made this
suggestion.)

>Here's the outline.  The combined doc has two types of material:
> 
>        -info for newcomers (attendees)
>        -info for people writing documents (participants) 

The Tao RFC is pretty much aimed attendees.  I'm not at all sure that
one huge doucment covering everything would be as effective as one
targetted at meeting atendees and a separate one targetted at general
participants.

>The first part of the outline combines much of the Tao with Paul's doc up
>to his "IETF Documents" section.  The second part is Paul's "IETF
>Documents" section and everything following. Throughout, I added material
>that was suggested during the USWG meeting in Adelaide (IETF email
>addresses, filenames, etc.)

IETF email addresses and fielnames are in the Tao RFC...

>-------------------------------
>				The Tao of IETF
>
>I.   Introduction 
>
>     - Purpose of the document
>     - Acronyms used are explained in Appendix B
>     - Why this doc is called "Tao"
>
>II.  What Is the IETF? (Combine Paul's intro paragraph from "Organizations
>     Around the IETF" with Tao's "What is the IETF?"):
>     
>     - General
>	- It doesn't exist

It is not true that the IETF does not exist.
ddraft-hoffman-what-is-ietf correctly states that it is not a
corporation.

>	- Loosely organized
>	- See BCP 11 for info about organizations involved in standards 
>	- Not a traditional meeting
>	- Work done by volunteers
>	- No members
>	- Brief statement of IETF goals
>
>     - Brief History of the IETF (edited "Humble Beginnings" from Tao)
>
>     - The Hierarchy, taken from Paul:
>		ISOC
>		WGs
>		IESG
>		IAB
>		IANA
>		RFC Editor
>		IETF Secretariat
>
>III. IETF Meetings (Combine Paul's "Face-to-face Meetings" and"Meeting
>     Schedules and Amenties" with Tao):
>
>        - They're dweebfests, not like other meetings
>        - 5-day schedule, Newcomers' Orientation, opening reception
>        - Registration covers whole meeting
>	    - Registration is secure via Web, databases not stored online
>              and are destroyed at end of meeting, IETF doesn't sell
>	      mailing lists.
>        - Dress code
>        - Seeing Spots
>	- Terminal room
>	- Social event 
>	- Proceedings and drafts available on CD
>	- Before the Meeting
>	   - Upcoming meetings listed on Web
>           - Hotel and registration announced 2 months before unless held
>	     outside US, then earlier.
>	   - Announcement sent to list the same day Web page goes up.
>	
>IV. WG Meetings - use Paul's text
>
>V.  BOFs - use Paul's text
>
>VI. Mailing lists
>
>    - IETF-announce, IETF discussion list
>    - WG lists - see "WG meetings" section
>	- Most have archives
>
>VII. Useful E-mail Addresses
>
>    - ietf-info, ietf-agenda, etc.
>
>VIII. Useful documents and files. 
>
>      - Filenames and URLs for:
>    	- agenda
>	- mtg-at-a-glance
>	- mtg-rsvp
>	....
>	- wg-summary, etc.
>      - Mirror sites
>
>IX.   RFCs and I-Ds ( = all of Paul's "IETF Documents" section)
>
>X.    IETF's Relationship to Other Standards Groups
>
>XI.   Press Coverage of the IETF
>
>XII.  How to Contribute to the IETF
>
>XIII. Links to RFCs and BCPs in this Document
>
>XIV.  Acknowledgements
>
>XV.   Appendix A - Area Abbreviations
>
>XVI.  Appendix B - Acronyms used in the document
>
> On Wed, 28 Jun 2000, Donald E. Eastlake 3rd wrote:
>
>> Hi April,
>> 
>> From:  April Marine <[email-masked]>
>> Date:  Wed, 28 Jun 2000 08:25:34 -0700 (PDT)
>> To:  Gary Malkin <[email-masked]>
>> Cc:  "'Steve Coya'" <[email-masked]>,
>>             Donald Eastlake 3rd <[email-masked]>,
>>             "Malkin, Gary " <[email-masked]>, [email-masked],
>>             April Marine <[email-masked]>, [email-masked]
>> In-Reply-To:  <[email-masked]>
>> Message-ID:  <[email-masked]>
>> 
>> >oh, sorry, didn't realize you wanted a personal note!  we've been
>> >"working" on this for awhile and it's been in the minutes...
>> 
>> Which minutes?  I do occasionally catch up on the IESG minutes and now
>> that you mention it, I do recall that there is an effort to update
>> FYIs although that may be from seeing the WG creation announcement.
>> But I don't recall anything specific to the Tao document and it is not
>> mentioned specifically in the USWG WG charter.  I'm happy to that that
>> a working group considers this one of their work items.
>> 
>> I started poking around to try to figure out what the status of things
>> was and I ran into the following problems:
>> 
>> (1) The URL for the User Services Area Web Page, which I assume is
>> automatically added to the bottom of each USV WG Charter page, is bad.
>> (The URL given on the wg-dir.html page is different and seems good.)
>> Presumably this is a problem for Steve.
>> 
>> (2) The URL for the archives of the UWSG mailing list, as given on the
>> Charter page, is bad.  It's possible that the archives are lurking
>> somewhere on *.near.net but it is by no means obvious to me how to
>> find them.
>> 
>> (3) I thought maybe I should subscribe to the list to get current mail
>> and sometimes you get a greeting message which gives more info, like
>> an archive pointer.  I found the subscribe instructions on the USWG
>> Charter page were wrong.  Mail to uswg-request does not subscribe you
>> but does result in a reply telling you what you have to do to
>> subscribe (send mail to majordomo).  So I tried to subscribe as
>> [email-masked], my home account, sending mail from
>> [email-masked], one of my Motorola work accounts.  This mail seems
>> to have just been absorbed by majordomo.  Figuring it might need
>> manual approval if the From: address differed from the envelope
>> address, I tried sending the subscribe request from my home account so
>> they would be the same.  This seemed to produce a response indicating
>> the majordomo had received the message but no greeting or other info
>> and a followup "who uswg" command to majordomo does not show me
>> subscribed.  Is your manual approval required to join the WG mailing
>> list in all cases?
>> 
>> Anyway, I would assume that if you had gotten very far on the
>> revisions you would have posted an Internet-Draft.  I'd certainly have
>> seen the ID announcement if you had.
>> 
>> >feel free to help :-)
>> 
>> Sure.  Is there a working group draft and if so is it more or less
>> modified and/or augmented that the draft I initially sent Gary and
>> Steve?  What is the best way to proceed?  Perhaps a merged version
>> could be posted by the draft cut off?
>> 
>> >A.
>> >
>> >p.s. thanks to Don too!
>> 
>> Thanks,
>> Donald
>> ===================================================================
>>  Donald E. Eastlake 3rd                    [email-masked]
>>  140 Forest Avenue                          [email-masked]
>>  Hudson, MA 01749 USA     +1 978-562-2827(h)    +1 508-261-5434(w)
>> 
>> 
>> 
>> >On Wed, 28 Jun 2000, Gary Malkin wrote:
>> >
>> >> Gee, thanks for letting me know.
>> >> 
>> >> -----Original Message-----
>> >> From: Steve Coya [mailto:[email-masked]]
>> >> Sent: Wednesday, June 28, 2000 11:10 AM
>> >> To: Donald Eastlake 3rd
>> >> Cc: Malkin, Gary ; [email-masked]; April Marine; [email-masked]
>> >> Subject: Re: updating Tao of IETF
>> >> 
>> >> 
>> >> 
>> >> 
>> >> Hi Don,
>> >> 
>> >> The USWG Working Group, Sue Harris specifically, has taken on the task
>> >> of updating the Tao. I've added them to the envelope, and am including
>> >> your document.
>> >> 
>> >> Thanks, btw, for taking the time to do this. It IS appreciated.
>> >> 
>> >> Steve
>> >> 
>> >> 
>> >> On Wed, 28 Jun 2000, Donald Eastlake 3rd wrote:
>> >> 
>> >> >>
>> >> >>Hi, I've noticed that the Tao RFC has been getting increasingly out of
>> >> >>date. Even the cut down and slightly updated version on the IETF Web
>> >> >>site is way out of date with numerous inaccurancies.
>> >> >>
>> >> >>I don't know if you were going to do a major overhaul of it but cycles
>> >> >>are usually short and I've not heard any hints of that.  So, I've gone
>> >> >>ahead and done a medium depth revision which is appended below.  I
>> >> >>though I should send it to you guys before actually posting it to
>> >> >>internet-drafts or anything...  I'd appreciate any comments, etc.
>> >> >>
>> >> >>My theory on how to proceed is that I incorporate your comments and
>> >> >>then post it to internet-drafts before the draft cut-off for the
>> >> >>Pittsburgh meeting...
>> >> >>
>> >> >>Thanks,
>> >> >>Donald
>> >> >>==================================================================
>> >> >> Donald Eastlake 3rd  +1 978-562-2827(h)  [email-masked]
>> >> >> 140 Forest Avenue     +1 508-261-5434(w)  [email-masked]
>> >> >> Hudson, MA 01749 USA

Donald
===================================================================
 Donald E. Eastlake 3rd                    [email-masked]
 140 Forest Avenue                          [email-masked]
 Hudson, MA 01749 USA     +1 978-562-2827(h)    +1 508-261-5434(w)

---

From: "Susan R. Harris" <[email-masked]>
Date: Fri, 14 Jul 2000 15:34:02 -0400 (EDT)

Donald, thanks for your comments on the Tao outline.

> targetted at meeting atendees and a separate one targetted at general

Yes, I take your point - part of Paul's guide is indeed aimed at a
difference audience (participants) than the Tao (attendees.) There's a
link, though - Paul's doc is aimed at novice participants, and represents
a logical follow-up for someone who attends, gets interested, and wants to
write a draft.

Would it help if the new Tao had two distinct halves, the first for
attendees and the second for participants?  That'd make it easier for
readers to find the sections of interest.  (Unfortunately, my outline
didn't distinguish cleanly between the two, and I'm trying to figure out a
way around that.)

> ddraft-hoffman-what-is-ietf correctly states that it is not a

True, Paul seems to be contradicting himself :) as his Novice's Guide
says:

   "One of the facts about the IETF that bothers many newcomers is that
    the IETF doesn't exist."

Comments Paul?  
For myself, I'd suggest replacing the first paragraph in the draft with
this:
 
  The Internet Engineering Task Force is a loosely self-organized group of
  people who contribute to the engineering and evolution of Internet
  technologies. It is the principal body engaged in the development of new
  Internet standard specifications.  The IETF is unusual in that it exists
  as a collection of happenings and people, but doesn't legally exist.
  That is, there is no corporation, no board of directors, no members, and no
  dues. 

Comments from others?

---

From: Craig Partridge <[email-masked]>
Date: Fri, 14 Jul 2000 15:39:15 -0400

In message <[email-masked]>, "Susa

>  That is, there is no corporation, no board of directors, no members, and no

Well, there is a corporation: ISOC.  And there is a board of directors,
namely the ISOC board.

But quite right, there are no dues and no members and the goal is to keep
ISOC's involvement to a minimum.

But ISOC is there -- very conciously -- if IETF gets sued, ISOC is there
to provide the lawyers (and empty pockets to sue).

Craig

---

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Fri, 14 Jul 2000 16:30:34 -0400

>  That is, there is no corporation, no board of directors, no members, and no

The last sentence is true.  But I believe the statement that it
"doesn't legally exist" is incorrect, unless you are making the claim
that it is completely subsumed into and is an organic part of ISOC.

I don't understand where this idea got started.  Unincorporated
associations are perfect fine legal entities under common law.  Almost
all unions in the US and Canada are unincorporated associations but
they have no problem suing and being sued in their own name, owning
land and buildings and other real property, having emplyees, etc.
(And laws which attempt to force unions to incorporate have been ruled
unconstitional in the US as a violation of the freedom of assocation.)
For over a hundred years, until sometime in the 1950s, the New York
Stock Exchange had no problem existing as an unincorporated
asociation, suing and being sued, owning very valuable real estate in
Manahattan, having employees, etc.  (And the only reason the NYSE
incorporated was because of more favorable retirement plan provisions
for corporations.)  I was involved in the successful registration of
several trade marks owned by the World Science Fiction Society
(wsfs.org).  The certifications of registration issued by the US
Patent and Trademark Office just recite the owner as the World Science
Fiction Society, an "unincorporatred United States association".

I would suggest not saying anyting either way about the "legal
existance" of the IETF until you have a court decision to stand on.

Donald

---

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Sat, 15 Jul 2000 14:26:42 -0400

Well, ISOC does provide insurance coverage to AD, WG chairs, etc.  But
one of the strongest indications of the independence of the IETF is
that the IETF quite consciously maintains its own lawyers who are
different from the ISOC lawyers and who believe that their client is
the IETF, not the ISOC.

Donald

From:  Craig Partridge <[email-masked]>
Message-Id:  <[email-masked]>
To:  "Susan R. Harris" <[email-masked]>
Cc:  "Donald E. Eastlake 3rd" <[email-masked]>, USWG <[email-masked]>
In-reply-to:  Your message of "Fri, 14 Jul 2000 15:34:02 EDT."
	                  <[email-masked]
u> 
Date:  Fri, 14 Jul 2000 15:39:15 -0400
Precedence:  bulk

---

From: Craig Partridge <[email-masked]>
Date: Sat, 15 Jul 2000 14:45:12 -0400

In message <[email-masked]>, "Donald E. Eastlake 3rd"

>different from the ISOC lawyers and who believe that their client is

I didn't know that -- good for IETF!

Craig

---

From: Paul Hoffman / IMC <[email-masked]>
Date: Tue, 18 Jul 2000 14:26:11 -0700

>didn't distinguish cleanly between the two, and I'm trying to figure out a

My vote goes for one long document, with two major sections. I would 
also reverse the order that Susan proposed, and put the 
"participants" part first and the "attendees" part second. There are 
many more participants than attendees. Also, there is a strong (and 
correct) assumption that attendees are in fact participants in at 
least one WG. Telling someone about registering and t-shirts before 
you tell them the benefits of active participation on mailing lists 
will likely lead to attendance by folks who will not help the WGs.

Gary's original Tao made an assumption that I think has become false 
in the last six years, namely that the only people who would want to 
come to a face-to-face IETF meeting were probably at least a bit 
active in some WGs. Now, IETF meetings appear attractive to people 
"trying to learn about Internet technologies" and "coming up to speed 
on networking". There's two ways of dealing with this change:
- ask passive watchers not to come
- encourage them to participate in WGs and then come
I strongly prefer the second approach.

--Paul Hoffman, Director
--Internet Mail Consortium

---

From: Paul Hoffman / IMC <[email-masked]>
Date: Tue, 18 Jul 2000 14:31:00 -0700

>    "One of the facts about the IETF that bothers many newcomers is that

That was meant to be funny....

>   That is, there is no corporation, no board of directors, no members, and no

I agree with the follow-on comments about the problems with us 
defining something legally. So let's not. The above text is fine if 
you remove the legal part and connect the last two sentences:

>   as a collection of happenings and people, but
>   there is no corporation, no board of directors, no members, and no
>   dues.

--Paul Hoffman, Director

---

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Wed, 19 Jul 2000 23:04:03 -0400

While Paul has an interesting point, I still feel that two documents
would each be more usable, used, and useful.

Donald

From:  Paul Hoffman / IMC <[email-masked]>
Message-Id:  <p04320411b59a7a5a186a@[165.227.249.17]>
In-Reply-To:  <[email-masked]>
References:  <[email-masked]>
Date:  Tue, 18 Jul 2000 14:26:11 -0700
To:  USWG <[email-masked]>

---

From: Paul Hoffman / IMC <[email-masked]>
Date: Wed, 19 Jul 2000 21:17:55 -0700

>would each be more usable, used, and useful.

I can believe this. However, there will be *lots* of cross-references 
between the two, which might be distracting. The two would have to be 
released in synch.

Tao1 and Tao2? TaoMeeting is an easy one, but I'm not sure what we 
would want to briefly name the IETF/WG/RFC/I-D document.

--Paul Hoffman, Director